import { AcceptedPlugin, ProcessOptions } from 'postcss';
import { PluginBuild } from 'esbuild';
import CssModulesOptions from './postcssModulesOptions';
import './modules';
import { RenderOptions } from './utils';
interface PostCSS extends ProcessOptions {
    plugins: AcceptedPlugin[];
}
interface PluginOptions {
    extract?: boolean;
    cssModulesMatch?: RegExp;
    cssModulesOptions?: CssModulesOptions;
    postcss?: PostCSS;
    postcssConfigFile?: string | boolean;
    renderOptions?: RenderOptions;
}
declare const stylePlugin: (options?: PluginOptions) => {
    name: string;
    setup: (build: PluginBuild) => Promise<void>;
};
export = stylePlugin;
